//公共方法

/**
 * 从数组中移除指定元素
 * @param { arr } 源数组
 * @param { item } 要移除的元素
 */
export function remove(arr, item) {
	if (arr.length) {
		const index = arr.indexOf(item); 
		if (index > -1) {
			return arr.splice(index, 1);
		}
	}
}



/**
 * 检查obj是否具有属性值key
 */
const hasOwnProperty = Object.prototype.hasOwnProperty;
export function hasOwn(obj) {
	return hasOwnProperty.call(obj, key);
}


/**
 * 连字符转驼峰
 */
const camelizeRE = /-(\w)/g;
export function camelize(str) {
	return str.replace(camelizeRE, (_, c) => c ? c.toUpperCase() : '');
}


/**
 * 首字母大写
 */
export function capitalize(str) {
	return str.charAt(0).toUpperCase() + str.slice(1);
}


/**
 * toArray 将类数组对象转为数组
 */

export function toArray(list, start) {
	start = start || 0;
	let i = list.length - start;
	const ret = new Array(i);
	while(i--) {
		ret[i] = list[i + start]; 
	}
}